/* =================================================================
   file    : printfile.i
   purpose : WIN32 API declarations for printfile.p
   by      : Jurjen Dijkstra
             mailto:jurjen@global-shared.com
             see also http://www.global-shared.com
   ================================================================= */

  &GLOB HORZRES 8
  &GLOB VERTRES 10
  &GLOB LOGPIXELSX 88
  &GLOB LOGPIXELSY 90
  &GLOB PHYSICALWIDTH 110
  &GLOB PHYSICALHEIGHT 111
  &GLOB PHYSICALOFFSETX 112
  &GLOB PHYSICALOFFSETY 113

  &GLOB TA_TOP 0
  &GLOB TA_BOTTOM 8
  &GLOB TA_LEFT 0
  &GLOB TA_CENTER 6
  &GLOB TA_RIGHT 2

  &GLOB ANSI_CHARSET 0
  &GLOB OUT_DEFAULT_PRECIS 0
  &GLOB CLIP_DEFAULT_PRECIS 0
  &GLOB PROOF_QUALITY 2
  &GLOB FIXED_PITCH 1
  &GLOB VARIABLE_PITCH 2
  &GLOB FF_DONTCARE 0

  &GLOB DM_OUT_BUFFER 2
  &GLOB DM_IN_BUFFER 8
  &GLOB CCHDEVICENAME 32
  &GLOB DM_ORIENTATION 1
  &GLOB DMORIENT_LANDSCAPE 2
  &GLOB DMORIENT_PORTRAIT 1

PROCEDURE CreateDCA EXTERNAL "gdi32" :
  DEFINE INPUT  PARAMETER lpszDriver   AS CHARACTER.
  DEFINE INPUT  PARAMETER lpszDevice   AS CHARACTER.
  DEFINE INPUT  PARAMETER lpszOutput   AS long.
  DEFINE INPUT  PARAMETER lpInitData   AS long.
  DEFINE RETURN PARAMETER hDC          AS long.
END PROCEDURE.
 
PROCEDURE DeleteDC EXTERNAL "gdi32" :
   DEFINE INPUT  PARAMETER hdc         AS LONG.
   DEFINE RETURN PARAMETER ReturnValue AS LONG.
END PROCEDURE.

PROCEDURE DocumentPropertiesA EXTERNAL "winspool.drv" :
  DEFINE INPUT  PARAMETER HWND           AS LONG.
  DEFINE INPUT  PARAMETER hPrinter       AS LONG.
  DEFINE INPUT  PARAMETER pDeviceName    AS CHARACTER.
  DEFINE INPUT  PARAMETER pDevmodeOutput AS LONG.
  DEFINE INPUT  PARAMETER pDevmodeInput  AS LONG.
  DEFINE INPUT  PARAMETER fMode          AS LONG.
  DEFINE RETURN PARAMETER ReturnValue    AS LONG.
END PROCEDURE.

PROCEDURE GetProfileStringA EXTERNAL "kernel32" :
  DEFINE INPUT  PARAMETER lpAppName        AS CHAR.
  DEFINE INPUT  PARAMETER lpKeyName        AS CHAR.
  DEFINE INPUT  PARAMETER lpDefault        AS CHAR.
  DEFINE OUTPUT PARAMETER lpReturnedString AS CHAR.
  DEFINE INPUT  PARAMETER nSize            AS LONG.
  DEFINE RETURN PARAMETER nReturnedChars   AS LONG.
END PROCEDURE.
 
PROCEDURE StartDocA EXTERNAL "gdi32" :
  DEFINE INPUT  PARAMETER hdc   AS LONG.
  DEFINE INPUT  PARAMETER lpdi  AS LONG.
  DEFINE RETURN PARAMETER JobId AS LONG.
END PROCEDURE.
 
PROCEDURE EndDoc EXTERNAL "gdi32" :
  DEFINE INPUT  PARAMETER hdc         AS LONG.
  DEFINE RETURN PARAMETER ReturnValue AS LONG.
END PROCEDURE.
 
PROCEDURE StartPage EXTERNAL "gdi32" :
  DEFINE INPUT  PARAMETER hdc         AS LONG.
  DEFINE RETURN PARAMETER ReturnValue AS LONG.
END PROCEDURE.
 
PROCEDURE EndPage EXTERNAL "gdi32" :
  DEFINE INPUT  PARAMETER hdc         AS LONG.
  DEFINE RETURN PARAMETER ReturnValue AS LONG.
END PROCEDURE.
 
PROCEDURE TextOutA EXTERNAL "gdi32" :
  DEFINE INPUT  PARAMETER hdc         AS LONG.
  DEFINE INPUT  PARAMETER nXstart     AS LONG.
  DEFINE INPUT  PARAMETER nYstart     AS LONG.
  DEFINE INPUT  PARAMETER lpString    AS CHAR.
  DEFINE INPUT  PARAMETER cbString    AS LONG.
  DEFINE RETURN PARAMETER ReturnValue AS LONG.
END PROCEDURE.
 
PROCEDURE SetTextAlign EXTERNAL "gdi32" :
  DEFINE INPUT  PARAMETER hdc           AS LONG.
  DEFINE INPUT  PARAMETER fMode         AS LONG.
  DEFINE RETURN PARAMETER fPreviousMode AS LONG.
END PROCEDURE.
 
PROCEDURE GetDeviceCaps EXTERNAL "GDI32" :
   DEFINE INPUT  PARAMETER hdc    AS LONG.
   DEFINE INPUT  PARAMETER nIndex AS LONG.
   DEFINE RETURN PARAMETER dwCaps AS LONG.
END PROCEDURE.
 
PROCEDURE MoveToEx EXTERNAL "gdi32" :
   DEFINE INPUT  PARAMETER hdc         AS LONG.
   DEFINE INPUT  PARAMETER X           AS LONG.
   DEFINE INPUT  PARAMETER Y           AS LONG.
   DEFINE INPUT  PARAMETER lpPoint     AS LONG.
   DEFINE RETURN PARAMETER ReturnValue AS LONG.
END PROCEDURE.
 
PROCEDURE LineTo EXTERNAL "gdi32" :
   DEFINE INPUT  PARAMETER hdc         AS LONG.
   DEFINE INPUT  PARAMETER X           AS LONG.
   DEFINE INPUT  PARAMETER Y           AS LONG.
   DEFINE RETURN PARAMETER ReturnValue AS LONG.
END PROCEDURE.
 
PROCEDURE SelectObject EXTERNAL "gdi32" :
   DEFINE INPUT  PARAMETER hdc         AS LONG.
   DEFINE INPUT  PARAMETER hgdiobj     AS LONG.
   DEFINE RETURN PARAMETER ReturnValue AS LONG.
END PROCEDURE.
 
PROCEDURE DeleteObject EXTERNAL "gdi32" :
   DEFINE INPUT  PARAMETER hObject     AS LONG.
   DEFINE RETURN PARAMETER ReturnValue AS LONG.
END PROCEDURE.
 
PROCEDURE GetTextMetricsA EXTERNAL "gdi32" :
  DEFINE INPUT  PARAMETER hdc         AS LONG.
  DEFINE INPUT  PARAMETER lpTm        AS LONG.
  DEFINE RETURN PARAMETER ReturnValue AS LONG.
END PROCEDURE.
 
PROCEDURE CreateFontA EXTERNAL "gdi32" :
  DEFINE INPUT  PARAMETER nHeight            AS LONG.
  DEFINE INPUT  PARAMETER nWidth             AS LONG.
  DEFINE INPUT  PARAMETER nEscapement        AS LONG.
  DEFINE INPUT  PARAMETER nOrientation       AS LONG.
  DEFINE INPUT  PARAMETER fnWeight           AS LONG.
  DEFINE INPUT  PARAMETER fdwItalic          AS LONG.
  DEFINE INPUT  PARAMETER fdwUnderline       AS LONG.
  DEFINE INPUT  PARAMETER fdwStrikeOut       AS LONG.
  DEFINE INPUT  PARAMETER fdwCharSet         AS LONG.
  DEFINE INPUT  PARAMETER fdwOutputPrecision AS LONG.
  DEFINE INPUT  PARAMETER fdwClipPrecision   AS LONG.
  DEFINE INPUT  PARAMETER fdwQuality         AS LONG.
  DEFINE INPUT  PARAMETER fdwPitchAndFamily  AS LONG.
  DEFINE INPUT  PARAMETER lpszFace           AS CHAR.
  DEFINE RETURN PARAMETER hFont              AS LONG.
END PROCEDURE.
 
PROCEDURE MulDiv EXTERNAL "kernel32" :
  DEFINE INPUT  PARAMETER nNumber      AS LONG.
  DEFINE INPUT  PARAMETER nNumerator   AS LONG.
  DEFINE INPUT  PARAMETER nDenominator AS LONG.
  DEFINE RETURN PARAMETER ReturnValue  AS LONG.
END PROCEDURE.


